## org.gnu.gtk
Class WidgetFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.WidgetFlags

public class WidgetFlags
extends org.gnu.glib.Flags

Field Summary
`static WidgetFlags` `APP_PAINTABLE`
`static WidgetFlags` `CAN_DEFAULT`
`static WidgetFlags` `CAN_FOCUS`
`static WidgetFlags` `COMPOSITE_CHILD`
`static WidgetFlags` `CONNECTED`
`static WidgetFlags` `CONSTRUCTED`
`static WidgetFlags` `DESTROYED`
`static WidgetFlags` `DOUBLE_BUFFERED`
`static WidgetFlags` `FLOATING`
`static WidgetFlags` `HAS_DEFAULT`
`static WidgetFlags` `HAS_FOCUS`
`static WidgetFlags` `HAS_GRAB`
`static WidgetFlags` `MAPPED`
`static WidgetFlags` `NO_REPARENT`
`static WidgetFlags` `NO_WINDOW`
`static WidgetFlags` `PARENT_SENSITIVE`
`static WidgetFlags` `RC_STYLE`
`static WidgetFlags` `REALIZED`
`static WidgetFlags` `RECEIVES_DEFAULT`
`static WidgetFlags` `SENSITIVE`
`static WidgetFlags` `TOPLEVEL`
`static WidgetFlags` `VISIBLE`

Method Summary
`WidgetFlags` `and(WidgetFlags other)`
`static WidgetFlags` `intern(int value)`
`WidgetFlags` `or(WidgetFlags other)`
`boolean` `test(WidgetFlags other)`
`WidgetFlags` `xor(WidgetFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESTROYED

    public static final WidgetFlags DESTROYED

### FLOATING

    public static final WidgetFlags FLOATING

### CONNECTED

    public static final WidgetFlags CONNECTED

### CONSTRUCTED

    public static final WidgetFlags CONSTRUCTED

### TOPLEVEL

    public static final WidgetFlags TOPLEVEL

### NO_WINDOW

    public static final WidgetFlags NO_WINDOW

### REALIZED

    public static final WidgetFlags REALIZED

### MAPPED

    public static final WidgetFlags MAPPED

### VISIBLE

    public static final WidgetFlags VISIBLE

### SENSITIVE

    public static final WidgetFlags SENSITIVE

### PARENT_SENSITIVE

    public static final WidgetFlags PARENT_SENSITIVE

### CAN_FOCUS

    public static final WidgetFlags CAN_FOCUS

### HAS_FOCUS

    public static final WidgetFlags HAS_FOCUS

### CAN_DEFAULT

    public static final WidgetFlags CAN_DEFAULT

### HAS_DEFAULT

    public static final WidgetFlags HAS_DEFAULT

### HAS_GRAB

    public static final WidgetFlags HAS_GRAB

### RC_STYLE

    public static final WidgetFlags RC_STYLE

### COMPOSITE_CHILD

    public static final WidgetFlags COMPOSITE_CHILD

### NO_REPARENT

    public static final WidgetFlags NO_REPARENT

### APP_PAINTABLE

    public static final WidgetFlags APP_PAINTABLE

### RECEIVES_DEFAULT

    public static final WidgetFlags RECEIVES_DEFAULT

### DOUBLE_BUFFERED

    public static final WidgetFlags DOUBLE_BUFFERED

Method Detail

### intern

    public static WidgetFlags intern(int value)

### or

    public WidgetFlags or(WidgetFlags other)

### and

    public WidgetFlags and(WidgetFlags other)

### xor

    public WidgetFlags xor(WidgetFlags other)

### test

    public boolean test(WidgetFlags other)